// Compiled by ClojureScript 1.9.562 {}
goog.provide('garden.core');
goog.require('cljs.core');
goog.require('garden.compiler');
/**
 * Convert a variable number of Clojure data structure to a string of
 *   CSS. The first argument may be a list of flags for the compiler.
 */
garden.core.css = (function garden$core$css(var_args){
var args__24376__auto__ = [];
var len__24369__auto___36023 = arguments.length;
var i__24370__auto___36024 = (0);
while(true){
if((i__24370__auto___36024 < len__24369__auto___36023)){
args__24376__auto__.push((arguments[i__24370__auto___36024]));

var G__36025 = (i__24370__auto___36024 + (1));
i__24370__auto___36024 = G__36025;
continue;
} else {
}
break;
}

var argseq__24377__auto__ = ((((0) < args__24376__auto__.length))?(new cljs.core.IndexedSeq(args__24376__auto__.slice((0)),(0),null)):null);
return garden.core.css.cljs$core$IFn$_invoke$arity$variadic(argseq__24377__auto__);
});

garden.core.css.cljs$core$IFn$_invoke$arity$variadic = (function (rules){
return cljs.core.apply.call(null,garden.compiler.compile_css,rules);
});

garden.core.css.cljs$lang$maxFixedArity = (0);

garden.core.css.cljs$lang$applyTo = (function (seq36022){
return garden.core.css.cljs$core$IFn$_invoke$arity$variadic(cljs.core.seq.call(null,seq36022));
});

/**
 * Convert a variable number of maps into a string of CSS for use with
 *   the HTML `style` attribute.
 */
garden.core.style = (function garden$core$style(var_args){
var args__24376__auto__ = [];
var len__24369__auto___36027 = arguments.length;
var i__24370__auto___36028 = (0);
while(true){
if((i__24370__auto___36028 < len__24369__auto___36027)){
args__24376__auto__.push((arguments[i__24370__auto___36028]));

var G__36029 = (i__24370__auto___36028 + (1));
i__24370__auto___36028 = G__36029;
continue;
} else {
}
break;
}

var argseq__24377__auto__ = ((((0) < args__24376__auto__.length))?(new cljs.core.IndexedSeq(args__24376__auto__.slice((0)),(0),null)):null);
return garden.core.style.cljs$core$IFn$_invoke$arity$variadic(argseq__24377__auto__);
});

garden.core.style.cljs$core$IFn$_invoke$arity$variadic = (function (maps){
return garden.compiler.compile_style.call(null,maps);
});

garden.core.style.cljs$lang$maxFixedArity = (0);

garden.core.style.cljs$lang$applyTo = (function (seq36026){
return garden.core.style.cljs$core$IFn$_invoke$arity$variadic(cljs.core.seq.call(null,seq36026));
});

